<?php
// +--------------------------------------------------------------------------+
// |   phpMyVisites   |   statistiques et mesure d'audience de sites Internet |
// +--------------------------------------------------------------------------+
// | Copyright (c) 2002-2004 Matthieu Aubry. Tous droits rservs             |
// +--------------------------------------------------------------------------+
// | Ce code est distribu sous license GNU GPL, disponible  '/docs/licence' |
// | Pour toute information supplmentaire :                                  |
// | http://www.phpmyvisites.net    |    matthieu@phpmyvisites.net            |
// +--------------------------------------------------------------------------+

/*----------------------------------------------*/
// fichier : index.php
/*----------------------------------------------*/

// on affiche toutes les erreurs NOTICES
@error_reporting(E_ALL);

// on dfinit time_limit indfini (ncessaires parfois pour archivage de priodes)
@set_time_limit(0);

// on dsactive les magic_quotes
@set_magic_quotes_runtime(0);

// respect des standards
@ini_set('arg_separator.input','&amp;');
@ini_set('arg_separator.output','&amp;');

// affiche du texte normal en mode debug
define("DEBUG", FALSE);

// affiche les tableaux en mode debug
define("RDEBUG", FALSE);

// ne pas transformer
define('IN_PHPMV', TRUE);

// suppression des tables aprs archivage ('purge' des donnes inutiles)
define("DELETEBDD", TRUE);

// on dfinit si l'admin est actif ou non (FALSE pour les dmos)
define("ADMIN", TRUE);

// prise en compte des stats d'accs  phpMyVisites (utile seulement pour phpmyvisites.net)
define("PHPMV_STATS", FALSE);

// rogner les pages vues
define("ROGNE_PV", TRUE);

// version en cours
require "./version.php";

// version en cours de bta test
define('PHPMV_BETA', FALSE);

//-----------//
// VARIABLES //
//-----------//
// variables  dfinir en fonction du contenu de $_POST et $_GET
// si vide (site=1), puis si $_POST['site'], puis si $_GET['site']
$vars_to_assign = array(
"site" => "1",
"part" => "visites",
"stats" => "1",
"limp" => "0",
"per" => "1"
);

// on dfinit les variables par priorit POST => GET => DEFAULT
foreach($vars_to_assign as $var_to_assign => $default)
{
	if(isset($_POST[$var_to_assign]))
	{
		${$var_to_assign}=addslashes(htmlentities($_POST[$var_to_assign]));
	}
	elseif(isset($_GET[$var_to_assign]))
	{
		${$var_to_assign}=addslashes(htmlentities($_GET[$var_to_assign]));
	}
	else
	{
		${$var_to_assign}=$default;
	}
}

// on initialise le chrono indispensable pour les benchs en debugage
function get_microtime()
{
	list($usec, $sec) = explode(" ", microtime());
	return ((float)$usec + (float)$sec);
}
$time_start = get_microtime();

//---------------------//
// DEBUT SESSION PHPMV //
//---------------------//

// on lance la session 'phpmv'
session_name('phpmv');
session_start();

// si la phase 3 d'installation n'est pas en cours && que le fichier config.php existe bien
// (car affichage du code JS ne ncessite pas de se logguer  l'installation)
if(file_exists("config.php"))
{ 
	include "./config.php";

	if(!isset($protect)){ $protect=0; }

	// si protection de toutes les stats && si pas de session enregistre
	if($protect==1 && !isset($_SESSION['sadminlogin']) && !isset($_SESSION['sadminpass']))
	{
		// on doit se loguer
		header("Location:login.php"); print("hreadr");
		exit();

	}
	// si la protection est seulement pour admin et que pas de sessions
	// et que la page visite est config
	if($part=='config' && $protect==0 && !isset($_SESSION['sadminlogin']) && !isset($_SESSION['sadminpass']))
	{
		// on doit se loguer
		header("Location:login.php");
		exit();
	}
}

// Gestion des cookies pour ne pas prendre en compte l'admin pour les stats.
// Doit obligatoirement tre plac avant tout print ou echo.
if($part=='config' && isset($_GET['adminstats']) && isset($_GET['no_site']))
{
	$nomcookie = "statspmv".$_GET['no_site'];
	setcookie($nomcookie,$_GET ['adminstats'],time()+3600*24*365*10); /* expire dans 10 ans */
	$cookiestats = $_GET ['adminstats']; // permet d'avoir un affichage en phase.
}

//-------------------------//
// INCLUSION DES FONCTIONS //
//-------------------------//
include "./include/functions.php";
include "./include/functions_disp.php";
include "./include/functions_phpmv.php";

//---------------------//
// GESTION DES LANGUES //
//---------------------//

// gre les langues (recharge fichier si ncessaire, spcifie la langue de l'interface)
include "./include/set_lang.php";

// Envoie au navigateur de l'encodage de la langue
header("Content-Type: text/html; charset=".$lang['charset']);

//-------------------------//
// TEST VALIDITE VARIABLES //
//-------------------------//
// si les fichiers de conf existent sauf celui configX.php, erreur de var site
if((!file_exists("config".$site.".php") && file_exists("nomsites.php") && file_exists("config.php"))  || !is_numeric($site))
{
	$prob=1;
	$probleme_part=true;
}

if(isset($stats) && (!is_numeric($stats) || ($stats!=0 && $stats!=1)))
{
	$prob=1;
	$probleme_part=true;
}

if(
(isset($_GET['date']) && (!ereg("([0-9]{4})-([0-9]{2})-([0-9]{2})", $_GET['date']) || strlen($_GET['date'])>10)) ||
(isset($_GET['oldd']) && (!ereg("([0-9]{4})-([0-9]{2})-([0-9]{2})", $_GET['oldd']) || strlen($_GET['oldd'])>10)))
{
	$prob=1; $probleme_part=true;
}

//------------------------------//
// INCLUSION FICHIERS DE CONFIG //
//------------------------------//

// on inclut le texte des balise html & META
include "./include/header.php";

// si les fichiers de configuration existent
if(file_exists("config".$site.".php") && file_exists("nomsites.php") && file_exists("config.php"))
{
	// paramtres gnraux
	include "./config.php";
	
	// paramtres de connexion & configuration du site
	include "./config".$site.".php";
	
	// connection bdd mysql
	include "./include/connect.php";
	
	// Vrification de mise  jour bdd  effectuer
	include "./include/update.php";
	if($part != "update2")
	{
		if(get_sgbd_version($table) != PHPMV_VERSION)
		{
			$GLOBALS['part'] = "update";
		}
	}		
	
	// variables ncessaires archivage et affichage
	include "./include/moteurs.php";
	include "./include/os.php";

	// modules d'archivage
	include "./include/archiver_jour.php";
	include "./include/archiver_periode.php";

	// fonctions et variables diverses
	include "./include/vars.php";

	// nom des sites configurs
	include "./nomsites.php";
}
else
{
	// si les fichiers de config n'existent pas
	// on initialise la date  la date du jour
	$date=date("Y-m-d");

	// on reprend les informations sur la date slectionne
	$datx = explode('-', $date);
	$annee = $datx[0];
	$mois = $datx[1];
	$jour = $datx[2];

	// on initialise les variables ncessaires au lancement de l'installation
	$stats=0;
	if(!isset($probleme_part))
	{
		$part='config';
	}
	else
	{
		$part='';
	}	
	$img=1;
	$per=1;
	$oldd=$date;
	$phase_install=1;
}

//--------------//
// LIENS DIVERS //
//--------------//

// liens pour la doc
$ahref_doc1 = "<strong><a href=\"./docs/documentation.htm\">";
$ahref_doc2 = "</a></strong>";

// texte liens
$txtliens="index.php?img=$img&amp;date=$date&amp;per=$per&amp;site=$site&amp;oldd=$oldd";

//-----------------//
// SUITE AFFICHAGE //
//-----------------//

if(PHPMV_BETA && !ADMIN)
{
	print("<p class=\"alert\">".sprintf($lang['generique_betaversion'],PHPMV_VERSION)."</p>");
}

// si on est pas dans une partie avec des stats ou si probleme avec une var (donc pas d'archivage)
// on saute une ligne pour que le tableau reste  la mme hauteur
if($stats==0 || isset($probleme_part) || (isset($part) && $part=='purge'))
{
	print("\n<br /><br />\n");
}


// dbut du cadre gnral
print "\n<div id=\"contenu\">\n";
// puis du cadre logo
print "\n<div id=\"logo\">\n";

// on inclue le calendrier
include "./include/display/calendrier.php";

// gestion des diffrents sites configurs
include "./include/display/sites_selection.php";

print("\n<img src=\"./images/bande.png\" alt=\"phpMyVisites\" width=\"485\" height=\"132\" />\n");
print "<div class=\"both\"></div>\n";
print "\n</div>\n";

// menu gnral de slection des rubriques
include "./include/display/topmenu.php";

// premier chrono pour checker si pas de problme au calendrier
include "./include/microtime.php";

// affichage de la slection des langues
aff_choixlang();

//---------------------------//
// DEBUT DE LA CONFIGURATION //
//---------------------------//
if($part=='contacts') $stats=0;

if($stats==0 && !isset($probleme_part))
{
	print("\n<!-- main -->\n");

	switch($part)
	{
		//----------//
		// CONTACTS //
		//----------//
		case "contacts":

		print "<div class=\"both\"></div>\n\n";

		print("<h1>".$lang['contacts_titre']."</h1>\n\n");
		print("<p class=\"texte\">".$lang['contacts_auteur']."</p>\n<p class=\"texte\">".sprintf($lang['contacts_questions']," : <strong><a href=\"http://www.phpmyvisites.net/forums/\" alt=\"".$lang['head_titre']."\" title=\"".$lang['head_titre']."\">http://www.phpmyvisites.net/forums/</a></strong>")."</p>\n<p class=\"texte\">". sprintf($lang['contacts_doc'],$ahref_doc1,$ahref_doc2) ."</p>\n<br />\n\n");

		// remerciements
		print("<h1>".$lang['contacts_merci']."</h1>\n\n");
		print "<p class=\"texte\">".$lang['contacts_merci1']."</p>\n";
		print "<p class=\"texte\">".$lang['contacts_merci3']."</p>\n";
		print "<p class=\"texte\">".$lang['contacts_merci2']."</p>\n";
		print "<br />\n";

		print "\n<div class=\"centrer\">\n";
		
		// tableau des traducteurs
		aff_tab_langs($lang_dispos);

		print "<p>\n";
		print "\t<a href=\"http://validator.w3.org/check/referer\"><img src=\"./images/vw3c11.png\" alt=\"Valid XHTML 1.1!\" height=\"31\" width=\"88\" /></a>\n";
		print "\t<a href=\"http://jigsaw.w3.org/css-validator/\"><img src=\"./images/vcss.png\" alt=\"Valid CSS!\" height=\"31\" width=\"88\" /></a>\n";
		print "</p>\n";
		print "</div>\n";

		break;

		//----------//
		// LANGUES //
		//----------//
		case "langues": // Cas o l'utilisateur a choisis 'autre' comme langue
	
		print "<div class=\"both\"></div>\n\n";

		print("<h1>".$lang['contacts_langue']."</h1>\n\n");
		print("<p class=\"texte\">".$lang['contacts_trad1']."</p>\n<p class=\"texte\">". 			sprintf($lang['contacts_trad2'],$ahref_doc1,$ahref_doc2) ."</p>\n");
		print "<p class=\"texte\">".$lang['contacts_merci2']."</p>\n\n";

		print "\n<div class=\"centrer\">\n";
		aff_tab_langs($lang_dispos);
		print "</div>\n";

		break;

		case "install3":
		//--------------------------//
		// INSTALLATION : PHASE 3/3 //
		//--------------------------//

		// on affiche  l'tat de l'installation (phase 3/3)
		printh3($lang['install_phase3a3']);

		// un message de bienvenue ; si vous avez des meilleurs propositions je suis preneur :)
		print("<p>".$lang['install_configok']."</p>");
		print("<p>".sprintf($lang['install_explicationjavascript'],"</p><p>","</p><p>")."</p>");

		// on affiche le code javascript pour le site n1 fraichement configur
		print_codejs(1);

		print("<p>".sprintf($lang['install_explicationchemin'],$chemin)."</p>");
		
		// on termine l'install en redirigeant simplement vers index.php
		print("<br /><br /><div class=\"centrer\">\n<form enctype=\"multipart/form-data\" method=\"post\" action=\"index.php\">\n<p>\n<input type=\"submit\" class=\"valid\" value=\" ".$lang['install_terminerinstall']." \" />\n</p>\n</form>\n</div>\n");
		
		// on enregistre les variables
		register_phpmv();
		
		break;
		//---------------//
		// CONFIGURATION //
		//---------------//
		case "config":
		
		print "<div class=\"both\"></div>\n\n";

		print("<h1>".$lang['admin_titre']."</h1>\n\n");

		// si clic sur "retour"
		if(isset($_POST['back']))
		{
			$act=1;
			unset($_POST);
		}
		// si aucun $act n'est dfini && que l'on est pas  la phase 1 d'install
		// ou  la phase 3 (affichage code JS)
		// on initialise l'act  1 (affichage du menu de config)
		if(!isset($_GET['act']) && !isset($phase_install) && !isset($_POST['phase3']))
		{
			$act=1;
		}
		// sinon si l'on est ni  la phase d'install si  la phase 3
		// $act vaut la valeur passe dans l'url
		elseif(!isset($phase_install) && !isset($_POST['phase3']))
		{
			$act=$_GET['act'];
		}
		// administration, gestion des choix
		include "./include/adminconfig.php";

		//--------------//
		// INSTALLATION //
		//--------------//
		
		// on initialise les variables 'flags' ? 1
		// car elles valent 0 lorsque probl?me seulement
		$valconnexion=1;
		$valselection=1;
		$creation_tables=1;
		$creation_cfg_file=1;
		$creation_nomsites=1;

		// si tous les fichiers de config existent
		if(file_exists('config.php') && file_exists("nomsites.php") && file_exists("config1.php"))
		{
			// phase_install=0 (on ne lance pas l'intall)
			$phase_install=0;
		}
		else
		{
			// sinon on lance l'install
			$phase_install=1;
		}
	
		// fichier qui gre l'installation
		include "./include/install.php";

		break;

	} // switch($act)
} // if($stats==0)


//-----------------------------------//
// DEBUT DES STATISTIQUES : $stats=1 //
//-----------------------------------//

if($part == "update" && !isset($probleme_part))
{
	display_update_warning();
}
else if($part == "update2")
{
	make_update();
}
else if($stats==1 && !isset($probleme_part))
{
	// slection de la priode
	include "./include/display/period_selection.php";

	print("\n<!-- main -->\n");

	print "<div class=\"both\"></div>\n";

	//-------------------//
	// SELECTION DONNEES //
	//-------------------//
	
	// champs  slectionner pour chaque rubrique
	$champs_needed = array(
		"visites" => array('visiteurs','vis', 'pv', 'vis1pv', 'sum_time'),
		"pages" => array('visiteurs','pv_max', 'pv', 'pv_diff', 'hit_pv', 'vis'),
		"suivi" => array('visiteurs','pv_debut','pv_fin','suivi','hit_pv'),
		"pays" => array('visiteurs','pays','fai'),
		"configurations" => array('vis','visiteurs','os','navig','resol','coul','plugins'),
		"affluents" => array('visiteurs','moteurs','mots','sitesrefs','nb_moteurs','nb_sites','nb_direct'),
		"purge" => array('visiteurs','vis', 'pv', 'vis1pv','sum_time','nb_moteurs','nb_sites','nb_direct')
		 );

	// tableau des variables  dsrializer (tableaux de type text)
	$champs_to_unserialize = array(
		"visites" => array(),
		"pages" => array('hit_pv'),
		"suivi" => array('pv_debut','pv_fin','suivi','hit_pv'),
		"pays" => array('pays','fai'),
		"configurations" => array('os','navig','resol','coul','plugins'),
		"affluents" => array('moteurs','mots','sitesrefs'),
		"purge" => array(),
		 );

	// on cre la ligne et on remplit la requte SQL
	$sql = '';
	for($k=0;$k<@sizeof($champs_needed[$part]);$k++)
	{
		$sql.=$champs_needed[$part][$k];
		if($k!=sizeof($champs_needed[$part])-1){ $sql.=','; }
	}

	// tests des problmes de valeur de variables
	if(strlen($sql)<2){ $prob=2; $probleme_part=true; }
	if(($per!=1 && $per!=2 && $per!=3) || !is_numeric($per)){ $prob=1; $probleme_part=true; }

	// slection des donnes pour la priode et pour la rubrique slectionne
	$req1 = mysql_query("SELECT $sql FROM $table_periode WHERE date='$date'");
	$req1b = @mysql_fetch_array($req1);
	@mysql_free_result($req1);
	
	// si il y a des visiteurs, et donc des visites et des stats
	if($req1b['visiteurs'] != 0)
	{
		// unserialization des variables
		for($k=0;$k<sizeof($champs_to_unserialize[$part]);$k++)
		{			
			if($req1b[$champs_to_unserialize[$part][$k]] != '0')
			{
				${$champs_to_unserialize[$part][$k]} = unserialize($req1b[$champs_to_unserialize[$part][$k]]);
				
			}
		}

		// "nommage" des variables
		for($i=0; $i< sizeof($champs_needed[$part]); $i++)
		{
			// si requete non vide et var non dfinie prcdemment (dans l'unserialization)
			if(isset($req1b[$champs_needed[$part][$i]]) && !isset(${$champs_needed[$part][$i]}))
			{
				${$champs_needed[$part][$i]} = $req1b[$champs_needed[$part][$i]];
			}
		}

		// on switch la partie  consulter
		switch($part)
		{
			//----------------//
			// PERIODE PURGEE //
			//----------------//
			case "purge":

			// titre + intro texte
			printh1($lang['purge_titre']);
			print("<p class=\"texte\">".$lang['purge_intro']."</p>");

			// on affiche le tableau des stats chiffres
			disp_visites_statistiques();
			include "./include/microtime.php";

			// puis le rcapitulatif sur la priode
			disp_visites_recapperiode();
			include "./include/calc_affluents.php";

			// l'image des proportions dans les affluents
			disp_affluents_recapimg();
			include "./include/microtime.php";

			break;

			//----------------------//
			/* INFORMATIONS VISITES */
			//----------------------//
			case "visites":

			// titre
			printh1($lang['visites_titre']);

			// on affiche le tableau des stats chiffres
			disp_visites_statistiques();
			include "./include/microtime.php";

			// puis le rcapitulatif sur la priode
			disp_visites_recapperiode();

			// si les graphs sont actifs
			if($img!=0)
			{
				// titres et graphs
				printh3($lang['visites_grapghrecap'], 3);

				// cas de la semaine ou il est ncessaire d'avoir le numero du jour de dbut de semaine
				if(isset($aff_jour_debut))
				{ 
					$aff_j_deb="&amp;aff_jour_debut=".$aff_jour_debut;
					$aff_m_deb="&amp;aff_mois_debut=".$aff_mois_debut;
				}
				else
				{
					$aff_j_deb=false;
					$aff_m_deb=false;
				}

				printimg("graphs/graph_pv_vis.php?date=". $date. "&amp;site=". $site. "&amp;per=". $per. "&amp;jour=". $jour. "&amp;mois=". $mois. "&amp;annee=". $annee. "&amp;ficlang=". $lang['default_lang']. $aff_j_deb . $aff_m_deb, $lang['visites_grapghrecap'], 570, 250);

				printh3($lang['visites_graphtempsvisites'], 4);
				printimg("graphs/graph_hit_type.php?date=$date&amp;site=$site&amp;graph=time&amp;per=$per&amp;ficlang=". $lang['default_lang'], $lang['visites_graphtempsvisites'], 500, 250);
										
				printh3($lang['visites_graphheureserveur'], 5);
				printimg("graphs/graph_24h.php?date=$date&amp;graph=vis_hs&amp;site=$site&amp;per=$per&amp;ficlang=". $lang['default_lang'],$lang['visites_graphheureserveur'], 500, 250);
				
				printh3($lang['visites_graphheurevisiteur'], 6);
				printimg("graphs/graph_24h.php?date=$date&amp;graph=vis_hl&amp;site=$site&amp;per=$per&amp;ficlang=". $lang['default_lang'],$lang['visites_graphheurevisiteur'], 500, 250);
				
				printh3($lang['visites_graphlieux'], 7);
				printimg("graphs/graph_cam3d.php?date=$date&amp;site=$site&amp;graph=h&amp;per=$per&amp;ficlang=". $lang['default_lang'],$lang['visites_graphlieux'], 440, 250);
			}

			break;


			//-------------------------//
			/* INFORMATIONS PAGES VUES */
			//-------------------------//
			case "pages":

			// titre
			printh1($lang['pagesvues_titre']);

			// tableau des dtails des pages vues + comparaison P-1 P-2
			disp_pagesvues_tabdetails();
			include "./include/microtime.php";

			// si graphs activs
			if($img!=0)
			{
				printh3($lang['pagesvues_graphsnbpages'], 2);
				printimg("graphs/graph_hit_type.php?date=$date&amp;graph=vis_hs&amp;site=$site&amp;graph=nbpv&amp;per=$per&amp;ficlang=".$lang['default_lang'],$lang['pagesvues_graphsnbpages'], 500, 250);

				printh3($lang['pagesvues_graphheureserveur'], 3);
				printimg("graphs/graph_24h.php?date=$date&amp;graph=pv_hs&amp;site=$site&amp;per=$per&amp;ficlang=".$lang['default_lang'],$lang['pagesvues_graphheureserveur'], 500, 250);

				printh3($lang['pagesvues_graphheurevisiteur'], 4);
				printimg("graphs/graph_24h.php?date=$date&amp;graph=pv_hl&amp;site=$site&amp;per=$per&amp;ficlang=".$lang['default_lang'],$lang['pagesvues_graphheurevisiteur'], 500, 250);
			}
			break;



			//--------------------//
			/* INFORMATIONS SUIVI */
			//--------------------//
			case "suivi":

			// titre
			printh1($lang['suivi_titre']);

			//---------------------//
			/*   PAGES D'ENTREES   */
			//---------------------//

			$i=0; $t = 0; $nb_inco=0;

			// on trie selon le nb de hits
			arsort($pv_debut);

			// on traite les donnes du tableau
			foreach($pv_debut as $pv_debut_name => $hit)
			{
				// pour la premire page d'entre on stocke son url non rogne dans une var
				// pour le suivi (c'est cette page qui est mise par dfaut)
				if($i==0){ $page1_prems = urldecode($pv_debut_name); }

				$tabpv_debut[$i][0] = $pv_debut_name;
				$tabpv_debut[$i][1] = $hit;
				$t+=$hit;
				$i++;
			}
			// puis on affiche
			aff_tab_suivi($lang['suivi_pageentree'], $tabpv_debut, $t, 0, 'lim1', 1, ${'site'.$site}[2]);

			include "./include/microtime.php";

			
			//---------------------//
			/*   PAGES DE SORTIE   */
			//---------------------//

			$i=0; $t = 0; $nb_inco=0;
			
			// on trie selon le nb de hits
			arsort($pv_fin);

			// on traite les donnes du tableau
			foreach($pv_fin as $pv_fin_name => $hit)
			{
				$tabpv_fin[$i][0] = $pv_fin_name;
				$tabpv_fin[$i][1] = $hit;
				$t+=$hit;
				$i++;
			}
			// puis on affiche
			aff_tab_suivi($lang['suivi_pagesortie'], $tabpv_fin, $t, 1, 'lim2', 2, ${'site'.$site}[2]);

			include "./include/microtime.php";

			//---------------------//
			/*  SUIVI DU VISITEUR  */
			//---------------------//

			$i=0; $t=0; $nb_inco=0; $test=0;

			// on unserialize une 2e fois si encore srialize...??
			if(!is_array($suivi)){ $suivi=unserialize($suivi); }

			// il peut avoir un pb quand 2 pages vues seulement... ? trop rare pour y passer du temps
			if(DEBUG) { printr($suivi); }

			// si un suivi est dfini, car il peut y avoir pages vues + visites
			// sans suivi (cas d'une seule page vue diff)
			if(isset($suivi) && !empty($suivi))
			{
				// on trie selon le nb de hits par page1=>page2
				usort($suivi, "compare4");
				// pour chaque ensemble 
				for($i=0;$i<sizeof($suivi);$i++)
				{
					// page 1
					// comme de la forme http://site.com/page?requete
					// on parse l'url dcode (long sur des gros sites, ? optimiser dans prochaine version)
					$nompage=urldecode($suivi[$i][0]);
					if($page1_prems==$nompage) $count=$i;
					
					$tab_page1 = parse_url($nompage);
					// puis si un path
					if(isset($tab_page1['path']))
					{
						$url_page1 = $tab_page1['path'];
						// et une requete ventuelle
						if(isset($tab_page1['query']))
						{
							$url_page1 .= "?".$tab_page1['query'];
						}
					}
					else
					{
						$url_page1='/';
					}

					$test++;

					// '/' ou '/index', etc. dans page vue => Le test est maintenant dans phpmyvisites.php
					// page 1
					$tabsuivi[$i][0] = $url_page1;
					// page 2
					$tabsuivi[$i][1] = urldecode($suivi[$i][1]);
					// nb
					$tabsuivi[$i][2] = $suivi[$i][2];

					$t+=$suivi[$i][2];
				}
				
				// si une page d'analyse est spcifie par le consultant
				if(isset($_GET['pv_ana']))
				{
					// on teste si un suivi existe sur cette page 
					for($i=0;$i<sizeof($suivi);$i++)
					{
						if(!isset($ok))
						{
							if($tabsuivi[$i][0]==urldecode($_GET['pv_ana']))
							{
								// on l'assigne  la page correspondante pour l'affichage des donnes
								$page_init = $_GET['pv_ana'];
								$ok=true;
							}
						}
					}
					// si la page  analyser n'a pas de donnes (donc taux de sortie = 100)
					if(!isset($ok))
					{ 
						$no_data =true; 
					}
				}
				// sinon par dfaut on affiche la page d'entre la plus visite
				if(!isset($page_init))
				{
					// si la page_prems a un suivi (on a alors defini count qui indique la pos dans le tab suivi du suivi de la page prems
					if(isset($count))
					{
						// on checke que cette page a un suivi, mais normalement oui
						if(isset($tabsuivi[$count][0]))
						{
							$page_init = $page1_prems;
						}
					}
					// si un seul suivi, on le prend
					elseif(sizeof($tabsuivi)==1)
					{
						$page_init=$tabsuivi[0][0];
					}
					// sinon il n'y a vraiment aucune solution, mme si il y a du suivi
					else
					{
						$page_init=$tabsuivi[0][0];
					}
				}
	
				// si page a analyser n'a pas de donnes
				if(isset($no_data))
				{
					// message
					$mess_pas_suivi = sprintf($lang['suivi_lapage'],urldecode($_GET['pv_ana']),"\" ".$page_init."\"")."<br /><br />";
				}
				else
				{
					$mess_pas_suivi='';
				}

				if(DEBUG){ printr($tabsuivi); }

				// puis on affiche le tableau
				aff_tab_suivi2($lang['suivi_cheminvisiteur'], $tabsuivi, $page_init, $t, 'lim3', 3, $mess_pas_suivi);

				include "./include/microtime.php";

			}
			else
			{
				// ou un message d'erreur indiquant que pas de suivi
				printh3($lang['suivi_cheminvisiteur'], 3);
				print("<p class=\"texte\">".$lang['suivi_aucunsuivi']."</p>");
			}

			break;



			//----------//
			/*   PAYS   */
			//----------//
			case "pays":

			// titre
			printh1($lang['provenance_titre']);
			
			// on trie le tableau
			arsort($pays);
			$i=0; $t = 0; $nb_inco=0;
			
			// pour chaque pays archiv
			foreach($pays as $domaine => $hit)
			{
				// si il y a un pays correspondant
				if(isset($domaines[$domaine]))
				{
					$tabpays[$i][0] = "<img src=\"./images/flags/".$domaine.".png\" width=\"18\" height=\"12\" border=\"0\" alt=\"".$domaine."\"  title=\"".$domaine."\"> ".$domaines[$domaine];
					$tabpays[$i][1] = $hit;
					$i++;
				}
				// sinon, le pays est dit inconnu et l'on ajoute aux inconnus prcdents
				else
				{
				   $nb_inco = $hit + $nb_inco;
				}
				$t = $t+$hit;
			}		
			$t += $nb_inco;	

			// Ajout des pays inconnus dans la liste - 20050112
			if(isset($nb_inco) && !empty($nb_inco))
			{
 					$tabpays[$i][0] = "<img src=\"./images/flags/unknown.png\" width=\"18\" height=\"12\" border=\"0\" style=\"vertical-align:bottom\" alt=\"?\"  title=\"?\"> ".$domaines['xx'];
 					$tabpays[$i][1] = $nb_inco;
 			}
			// si graphs activs
			if($img!=0)
			{
				//------------//
				// MAPPEMONDE //
				//------------//
				printh3($lang['provenance_mappemonde'],3);
				include "./include/mappemonde.php";
			}
			
			//--------------//
			// DETAILS PAYS //
			//--------------//
			printh3($lang['provenance_recappays'], 1);
			
			print("\n\n<table class=\"centrer\">\n<tr>\n\t<td>\n");

			// on affiche le tableau format
			aff_tab_config($lang['provenance_pays'], $tabpays, $t, 'lim1', 1);
			print("</td>\n");

			// camembert
			if($img!=0) 
			{
				print("\t<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"graphs/graph_pays.php?date=$date&amp;site=$site&amp;per=$per&amp;ficlang=".$lang['default_lang']."\" alt=\"".$lang['provenance_paysimg']."\" width=\"420\" heigth=\"250\"/></td>\n");
			}

			print("</tr>\n</table>\n\n<br /><br /><br />\n");

			//-----------//
			// PROVIDERS //
			//-----------//
			$a_name=2;
			printh3($lang['provenance_fai'], 2);

			// on trie le tableau
			arsort($fai);

			$i=0; $t = 0; $j=0;
			
			// pour chaque fai archiv
			foreach($fai as $provider => $hit)
			{
				$rep = explode('.', $provider);
				$rep = ucwords($rep[0]);
				// nom
				$tabfai[$i][0] = $rep;
				// url
				$tabfai[$i][1] = $provider;
				// nb de hits
				$tabfai[$i][2] = $hit;
				// on incrmente nb de hits total
				$t+=$hit;
				$i++;
			}

			print("<div class=\"centrer\">\n\n");
			print("<!-- result table perso -->\n\n");
			print("<table class=\"resultats\" cellpadding=\"5\">\n<tr>\n\t<th>".$lang['provenance_provider']."</th>\n\t<th>".$lang['provenance_nombre']."</th>\n</tr>\n");

			// limites
			if(!isset($limp))
			{
				// si pas de limites spcifies on initialise
				$limp='0'; 
				$limp0='0'; 

				if(sizeof($tabfai)>10)
				{ 
					$limp1='10'; 
				}
				else
				{ 
					$limp1=sizeof($tabfai); 
				}
			} 
			elseif($limp>=0) 
			{ 
				$limp0=$limp*10; 
				$limp1=$limp0+10;

				if($limp1>sizeof($fai))
				{ 
					$limp1=sizeof($fai);
				} 
			}
			
			// pour chaque provider du tableau
			for ($i = $limp0; $i < $limp1; $i++)
			{
				// On regarde si on est sur une ligne pair ou impair pour alterner les couleurs de cellule
				if ($i % 2 != 0) {
					$maclass = " class=\"damier\"";
					$maclassalign = " class=\"damieralign\"";
				} else {
					$maclass = "";
					$maclassalign = " class=\"align\"";
				}
				print("<tr>\n\t<td".$maclassalign."><strong>");
				// si cce n'est pas une IP on met le lien
				if($tabfai[$i][0]!='Ip')
				{
					print("<a href=\"http://www.".$tabfai[$i][1]."\">");
					$fermer_tag_a = "</a>";
				}
				else
				{
					$fermer_tag_a ='';
				}
				// on affiche le nom du provider et nb de hits
				print($tabfai[$i][0]." ".$fermer_tag_a." </strong> </td>\n\t <td$maclass>".$tabfai[$i][2] ." <small> (".round(($tabfai[$i][2]/$t)*100,1)."%)</small></td>\n</tr>\n");
			}

			print("</table>\n\n<br />\n");
			
			// liens suivants/prcdents
			if($limp>0) 
			{ 
				print("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"$txtliens&amp;part=pays&amp;limp=".($limp - 1)."#ancre".$a_name."\">&middot; ".sprintf($lang['generique_voirlesprecedents'],'10')."</a>\n");
			}

			if($limp1<sizeof($fai))
			{
				print("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"$txtliens&amp;part=pays&amp;limp=". ($limp + 1) ."#ancre".$a_name."\">&middot; ".sprintf($lang['generique_voirlessuivants'],'10')."</a>\n");
			}

			print "</div>\n";

			include "./include/microtime.php";

			break;


			//--------------------------//
			/* CONFIGURATIONS VISITEURS */
			//--------------------------//
			case "configurations":

			// titre
			printh1($lang['configurations_titre']);

			//-----------//
			/* CONFIG OS */
			//-----------//
			printh3($lang['configurations_os'], 1);

			// on trie le tableau des OS
			arsort($os);
			$t=0;
			$i=0;

			// pour chaque os on le met dans le tableau
			foreach($os as $os_name => $hit)
			{
				$tabos[$i][0] = "<img src=\"./images/os/".$os_name.".png\" width=\"14\" height=\"14\" border=\"0\"> ".$tab_os_names[$os_name];
				$tabos[$i][1] = $hit;
				$t+=$hit;
				$i++;
			}
			// on affiche le tableau
			aff_tab_config($lang['configurations_os'], $tabos, $t, 'lim1', 1);

			// le graph
			print "<br />\n";
			printimg("graphs/graph_cam3d.php?date=$date&amp;site=$site&amp;graph=os&amp;per=$per&amp;ficlang=".$lang['default_lang'],$lang['configurations_osimg'], 440, 250);

			include "./include/microtime.php";



			//----------------------------//
			/*  CONFIG BROWSER : VERSION  */
			//----------------------------//
			printh3($lang['configurations_navigateurs'], 2);

			// on trie le tableau
			arsort($navig);

			$t=0;
			$i=0;
			require_once("./include/navigateur.class.php");
			$navigateur_courant = new retrouver_navigateur();
			$navigateur_courant->initialisation();
			$lesnavigateurs = array_flip($navigateur_courant->_navigateurs);

			// pour chaque browser on le met dans le tableau
			//printr($navig);
			foreach($navig as $navig_name => $hit)
			{
				$navigateur = explode(";",$navig_name);
				//print("$navigateur[0] <br>");
				if(!isset($lesnavigateurs[$navigateur[0]])) $lesnavigateurs[$navigateur[0]]=$lang['generique_inconnu']." ";
				$tabnavig[$i][0] = "<img src=\"./images/browsers/".$navigateur[0].".png\" width=\"14\" height=\"14\" border=\"0\"> ".ucWords($lesnavigateurs[$navigateur[0]])." "; 
				if(isset($navigateur[1])) $tabnavig[$i][0].=$navigateur[1]; 
				$tabnavig[$i][1] = $hit;
				$t+=$hit;
				$i++;
			}
			// on affiche le tableau
			print "<br />\n";
			aff_tab_config($lang['configurations_navigateurs'], $tabnavig, $t, 'lim2', 2);
			
																												// Ajout fredodido
			// le graph
			print "<br />\n";
			printimg( "graphs/graph_cam3d.php?date=$date&amp;site=$site&amp;graph=navig&amp;per=$per&amp;ficlang=".$lang['default_lang'], $lang['configurations_navigateursimg'], 440, 250);

			
			//------------------------//
			/* NAVIGATEUR PAR FAMILLE */
			//------------------------//
			printh3($lang['configurations_navigateursbytype'], 7);
			$tabnv = get_browser_by_family($tabnavig);
			arsort($tabnv);
			aff_tab_config($lang['configurations_navigateursbytype'], $tabnv, $t, 'lim7', 2);											// Ajout fredodido
		
			include "./include/microtime.php";

			//------------//
			/* RESOLUTION */
			//------------//
			printh3($lang['configurations_resolutions'], 3);

			// on trie le tableau
			arsort($resol);

			$t=0;
			$i=0;

			// init tab
			$tabrapport[0][1]=0;
			$tabrapport[1][1]=0;
			$tabrapport[1][0]=$lang['configurations_large']; 
			$tabrapport[0][0]=$lang['configurations_normal']; 

			foreach($resol as $resol_name => $hit)
			{
				$tabresol[$i][0] = $resol_name;
				$tabresol[$i][1] = $hit;
				$t+=$hit;
				$i++;

				// on fait les calculs pour ecran large
				$explode = explode('x', $resol_name);
				$res1=$explode[0];
				$res2=$explode[1];
				$rapport=round($res1/$res2,1);

				if($rapport<1.4) $tabrapport[0][1]+=$hit;
					else $tabrapport[1][1]+=$hit;
				//if(!isset($tabrapport[1][1])){ unset($tabrapport[1][0]);unset($tabrapport[1][1]);}
				//if(!isset($tabrapport[0][1])){ unset($tabrapport[0][0]);unset($tabrapport[0][1]);}

			}
			// on affiche le tableau
			aff_tab_config($lang['configurations_resolutions'], $tabresol, $t, 'lim3', 3);

			// le graph
			print "<br />\n";
			printimg("graphs/graph_cam3d.php?date=$date&amp;site=$site&amp;graph=resol&amp;per=$per&amp;ficlang=".$lang['default_lang'],$lang['configurations_resolutionsimg'], 440, 250);

			include "./include/microtime.php";
			
			
			//--------------//
			/* LARGE/NORMAL */
			//--------------//
			printh3($lang['configurations_rapport'], 4);

			// on affiche le tableau
			aff_tab_config($lang['configurations_type'], $tabrapport, $t, 'lim4', 4);

			// le graph
			print "<br />\n";
			//printimg("graphs/graph_cam3d.php?date=$date&amp;site=$site&amp;graph=resrap&amp;l=".$tabrapport[1][1]."&amp;n=".$tabrapport[0][1]."&amp;per=$per&amp;ficlang=".$lang['default_lang'],$lang['configurations_rapportimg']);

			//----------//
			/* COULEURS */
			//----------//
			printh3($lang['configurations_couleurs'], 5);

			// on trie le tableau
			arsort($coul);

			$t=0;
			$i=0;
			foreach($coul as $coul_name => $hit)
			{
				$tabcoul[$i][0] = $coul_name ." bits";
				$tabcoul[$i][1] = $hit;
				$t+=$hit;
				$i++;
			}

			// on affiche le tableau
			aff_tab_config($lang['configurations_couleursimg'], $tabcoul, $t, 'lim5', 5);

			// le graph
			print "<br />\n";
			printimg("graphs/graph_cam3d.php?date=$date&amp;site=$site&amp;graph=coul&amp;per=$per&amp;ficlang=".$lang['default_lang'],$lang['configurations_couleursimg'], 440, 250);

			include "./include/microtime.php";

			//---------//
			/* PLUGINS */
			//---------//
			printh3($lang['configurations_plugins'], 6);
			
			arsort($plugins);
			
			$i=0;
			foreach($plugins as $plugin_name => $hit)
			{
				$tabplug[$i][0] = ucfirst($plugin_name);
				$tabplug[$i][1] = $hit;
				$i++;
			}
			
			// on affiche le tableau
			// Pour les plugins, on reprend la variable $t du calcul du dessus (les couleurs)
			// pour connatre le nombre de hits total
			aff_tab_config($lang['configurations_plugins'], $tabplug, $vis, 'lim6', 6);									
			
			break;



			//------------------------//
			/* PROVENANCES VISITEURS */
			//------------------------//
			case "affluents":

			// titre
			printh1($lang['affluents_titre']);

			// on effectue les diffrents calculs
			include "./include/calc_affluents.php";

			// on affiche l'image rcapitulative
			disp_affluents_recapimg();

			// variables de dtails des donnes (clic sur '+')
			if(!isset($details)) $details = "";
			if(isset($_GET['sd'])){ $details=$_GET['sd']; }
			if(isset($_GET['sdid'])){ $sd=$_GET['sdid']; }
			include "./include/microtime.php";

			// pour le title du + ou - pour les dtails (sinon il est utf8 encod par dessus l'encodage)
			$lang['affluents_details']=utf8_decode($lang['affluents_details']);
			
			//----------------------//
			/* MOTEURS DE RECHERCHE */
			//----------------------//
			printh3($lang['affluents_moteurs'], 2);

			//printrdebug($moteurs);
			foreach($liste_moteurs as $url => $value)
			{
				$liste_moteurs_reversed[$value[0]]=$url;
			}
			// si il y des moteurs, on calcule
			if($nb_moteurs!=0)
			{			
				
				// pour chaque moteur archiv
				$t=0;
				$i=0;
				foreach($moteurs as $nom_moteur => $tab_moteurs_hit)
				{
					// on cre la variable  afficher
					if($details==1 && $i==$sd){ $endimg='b'; $endurl=''; } else {  $endimg='a'; $endurl="&sd=1&sdid=".$i;}
					$tabmoteurs[$i][0] = "<a href=\"".htmlentities("%url_beginning%".$endurl."#ancre2")."\"><img src=\"images/f5".$endimg.".png\" alt=\"".$lang['affluents_details']."\" title=\"".$lang['affluents_details']."\" /></a>\n\t\t<a href=\"http://".$liste_moteurs_reversed[$nom_moteur]."\" onclick=\"window.open(this.href);return(false);\">".$nom_moteur."</a>";
					// et le nb de hits
					$tabmoteurs[$i][1] = $tab_moteurs_hit['phpmvsum'];

					// si on montre les dtails pour les moteurs et pour ce moteur prcisment
					if (!isset($moteur_to_analyse)) $moteur_to_analyse = "";
					if (!isset($tab_sd)) $tab_sd = "";
					if($details==1 && $i==$sd)
					{
						$j=0;
						foreach($tab_moteurs_hit as $mot_nom => $hit)
						{
							$mot_nom = rogne_pv(str_replace("+", " ", stripslashes(urldecode($mot_nom))));
							if($mot_nom!='phpmvsum')
							{
								$tab_sd[$j][0] = $mot_nom;
								$tab_sd[$j][1] = $hit;
								$j++;
							}
						}
						// var qui servira pour le test dans l'affichage du tableau
						$moteur_to_analyse = $tabmoteurs[$i][0];
					}
					$i++;
					$t += $tab_moteurs_hit['phpmvsum'];
				}
				// on trie le tableau
				usort($tabmoteurs, "compare");
				if(is_array($tab_sd)) usort($tab_sd, "compare");

				print_nb_percent($nb_moteurs,$pc_moteurs,$lang['affluents_nbparmoteur']);

				// on affiche le tableau format
				aff_tab_config($lang['affluents_moteurs'], $tabmoteurs, $t, 'lim1', 2, 10, $moteur_to_analyse, $tab_sd, $lang['affluents_motscles']);
			}
			else
			{
				print($lang['affluents_aucunmoteur']."<br />\n");
			}
			include "./include/microtime.php";
			
			//-----------//
			/* MOTS CLES */
			//-----------//
			printh3($lang['affluents_motscles'], 3);

			// si il y a eu des moteurs de recherche
			// si il y a des mots cls, les afficher en les classant par ordre dcroissant
			if(!empty($mots))
			{	
				// on trie le tableau $mots
				arsort($mots);
				$t=0;
				$i=0;
				foreach($mots as $mot_string => $tab_mots_hit)
				{
					//print(rogne_pv(str_replace("+", " ", stripslashes(urldecode($mot_string)))));
					// on cre la variable  afficher					
					if($details==2 && $i==$sd){ $endimg='b'; $endurl=''; } else {  $endimg='a'; $endurl="&sd=2&sdid=".$i;}

					$mot_string = "<a href=\"". htmlentities("%url_beginning%". $endurl ."#ancre3"). "\"><img src=\"images/f5". $endimg .".png\" alt=\"". $lang['affluents_details'] ."\" title=\"". $lang['affluents_details'] ."\" />&nbsp;&nbsp; ". rogne_pv(str_replace("+", " ", stripslashes(urldecode($mot_string)))) ."</a>";

					$tabmots[$i][0] = $mot_string;

					// et le nb de hits
					$tabmots[$i][1] = $tab_mots_hit['phpmvsum'];

					// si on montre les dtails pour les mots et pour ce mot prcisment
					if(!isset($mot_to_analyse)) $mot_to_analyse = "";
					if(!isset($tab_sd)) $tab_sd = "";
					if($details==2 && $i==$sd )
					{
						
						$j=0;
						foreach($tab_mots_hit as $moteur_nom => $hit)
						{
							if($moteur_nom!='phpmvsum')
							{
								$tab_sd[$j][0] = "<a href=\"http://".$liste_moteurs_reversed[$moteur_nom]."\">".$moteur_nom."</a>";
								$tab_sd[$j][1] = $hit;
								$j++;
							}
						}
						// var qui servira pour le test dans l'affichage du tableau
						$mot_to_analyse = $mot_string;
					}

					$i++;
					$t += $tab_mots_hit['phpmvsum'];
				}
				printf($lang['affluents_nbmotscles'],"<strong>".$i."</strong>");
				print("\n<br /><br />\n");

				usort($tabmots, "compare");
				if(is_array($tab_sd)) usort($tab_sd, "compare");
				// on affiche le tableau
				aff_tab_config($lang['affluents_motscles'], $tabmots, $t, 'lim2', 3, 20, $mot_to_analyse, $tab_sd,$lang['affluents_moteurs']);
			}
			else
			{
				print($lang['affluents_aucunmotscles']."<br />\n");
			}
	

			include "./include/microtime.php";

			//----------------//
			/* SITES INTERNET */
			//----------------//
			printh3($lang['affluents_sitesinternet'], 4);
		

			if($nb_sites!=0)
			{
				// on trie le tableau $sitesrefs
				arsort($sitesrefs);
				
				$t=0;
				$i=0;
				
				// pour chaque sitesrefs enregistr
				foreach($sitesrefs as $sitesrefs_name => $tab_sites_hit)
				{					
					if($details==3 && $i==$sd){ $endimg='b'; $endurl=''; } else {  $endimg='a'; $endurl="&sd=3&sdid=".$i;}
					$mot_string = "";
					$mot_string = "<a href=\"".htmlentities("%url_beginning%".$endurl."#ancre3")."\"><img src=\"images/f5".$endimg.".png\" alt=\"".$lang['affluents_details']."\" title=\"".$lang['affluents_details']."\" /> ".rogne_pv(str_replace("+", " ", stripslashes(urldecode($mot_string))))."</a>";

					$tabsitesrefs[$i][0] = "<a href=\"".htmlentities("%url_beginning%".$endurl."#ancre4")."\">\n<img src=\"images/f5".$endimg.".png\" alt=\"".$lang['affluents_details']."\" title=\"".$lang['affluents_details']."\" />\n</a>\n<a href=\"".urldecode($sitesrefs_name)."\" onclick=\"window.open(this.href);return(false);\">\n".str_replace('http://','',urldecode($sitesrefs_name))."\n</a>\n";
					$tabsitesrefs[$i][1] = $tab_sites_hit['phpmvsum'];
					$t += $tab_sites_hit['phpmvsum'];

					// si on montre les dtails pour les sites refs et pour ce site prcisment
					if (!isset($url_site_to_analyse)) $url_site_to_analyse = "";
					if (!isset($tab_sd)) $tab_sd = "";
					if($details==3 && $i==$sd)
					{
						$j=0;
						foreach($tab_sites_hit as $page_url => $hit)
						{
							if($page_url!='phpmvsum')
							{
								$tab_sd[$j][0] = urldecode($page_url);
								$tab_sd[$j][1] = $hit;
								$j++;
							}
						}
						// var qui servira pour le test dans l'affichage du tableau
						$url_site_to_analyse = $tabsitesrefs[$i][0];
					}
					$i++;
				}			
				// on trie le tableau 
				usort($tabsitesrefs, "compare");
				if(is_array($tab_sd)) usort($tab_sd,"compare");

				// si il y a des sites refs
				if($nb_sites!=0)
				{
					print_nb_percent($nb_sites,$pc_sites,$lang['affluents_nbautressites']);
     				printf($lang['affluents_nbautressitesdiff'], "<strong>".sizeof($tabsitesrefs)."</strong>");

					print("<br /><br />");

					// on affiche le tableau
					aff_tab_config($lang['affluents_sitesinternet'], $tabsitesrefs, $t, 'lim3', 4, 10, $url_site_to_analyse, $tab_sd, $lang['affluents_sites_page']);
				}
			}
			else
			{
				print($lang['affluents_aucunautresite']."<br />\n");
			}
			include "./include/microtime.php";

			//------------------//
			/* ENTREES DIRECTES */
			//------------------//

			printh3($lang['affluents_entreedirecte'], 5);
			if($nb_direct != 0)
			{
				print_nb_percent($nb_direct,$pc_direct,$lang['affluents_nbentreedirecte']);
			}
			else
			{					
				print("<br />".$lang['affluents_aucuneentreedirecte']."<br />\n");
			}

			include "./include/microtime.php";
			break;
			
		} // switch
	} //	if($req1b['visiteurs'] != 0)

	//-----------------//
	// PAS DE VISITEUR //
	//-----------------//
	elseif(!isset($probleme_part))
	{
		switch($per)
		{
			case 1: $string=$lang['aucunvisiteur_titre1']; break;
			case 2: $string=$lang['aucunvisiteur_titre2']; break;
			case 3: $string=$lang['aucunvisiteur_titre3']; break;
		}
		print("<br /><br />\n<h2>".sprintf($string,$date_etude_lettre)."</h2>\n<br />\n");
	}
}// if($stats==1)

// problme sur une variable
if(isset($probleme_part))
{
	switch($prob)
	{
		case 1: print("<br /><br />\n<h2>".$lang['generique_erreurvar']."</h2>\n<br />\n"); break;
		case 2: print("<br /><br />\n<h2>".$lang['generique_erreurrubrique']."</h2>\n<br />\n"); break;
		default: print("<br /><br />\n<h2>".$lang['generique_erreurvar']."</h2>\n<br />\n"); break;
	}
}

print("<br /><br />\n");

// menu du bas

/*
	Nous vous demandons de laisser le lien ci-dessous vers www.phpmyvisites.net.
	Cela non seulement dans pour le respect du temps pass gratuitement par les dveloppeurs
	de phpMyVisites, mais aussi pour permettre une plus large utilisation de phpMyVisites.
	Si vous refusez de laisser ce lien, le support sur les forums serait affect.

	Les dveloppeurs de phpMyVisites : 2004
*/


/*
	We request you retain the link to www.phpmyvisites.net.
	This not only gives respect to the large amount of time given freely by the developers
	but also helps build interest, traffic and use of phpmyvisites.net. 
	If you refuse to include even this then support on our forums may be affected.

	phpMyVisites developpers : 2004
*/

print "\n<!-- bottom menu -->\n<ul id=\"admin\">
\t<li class=\"site\"><a alt=\"".$lang['head_titre']."\" title=\"".$lang['head_titre']."\" href=\"http://www.phpmyvisites.net\" onclick=\"window.open(this.href);return(false);\">".$lang['liens_siteofficiel']."</a></li>
\t<li class=\"install\"><a href=\"index.php?part=config&amp;stats=0\">".$lang['liens_admin']."</a></li>
\t<li class=\"contacts\"><a href=\"index.php?part=contacts\">".$lang['liens_contacts']."</a></li>
</ul>\n";
print "\n<div class=\"both\"></div>\n";
print "\n</div>\n";

// inclusion du bas de page
include "./include/footer.php";
?>
